using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace _1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            
            DataTable dt = new DataTable();

            dt.Columns.Add("bool", typeof(bool));
            dt.Columns.Add("DateTime", typeof(DateTime)).DefaultValue = DateTime .Now;

            for (int i = 0; i < 10; i++)
			{
                dt.Rows.Add(i % 3 == 0);
			}

            ultraGrid1.DataSource = dt;

            ultraGrid1.CreationFilter = new MyCreation("bool", "DateTime", "yyyy-MMM-dd");

        }

        private void ultraGrid1_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
           
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns["DateTime"].Format = "mm:HH yyyy-MMM-dd";
          
        }
    }
}
